this.name					= "YAH_mobileTractor.js";
this.author					= "Thargoid";
this.copyright				= "Creative Commons Attribution - Non-Commercial - Share Alike 3.0 license";
this.description			= "Ship script for YAH mobile ad tractor ship.";
this.version				= "1.0";
"use strict";

this.shipSpawned = function()
	{
	this.adBoard = this.ship.spawnOne("YAH_mobileAd"); 
	if(!this.adBoard.isValid)
		{
		log(this.name, "adBoard spawn failed.");
		return;
		}
	
	this.adGroup = new ShipGroup("YAH Mobile Ads", this.ship);
	this.ship.group = this.adGroup;
	this.adGroup.leader = this.ship;
	this.adBoard.group = this.adGroup;
	
	this.callbackID = addFrameCallback(this.positionBoard.bind(this));
	}
	
this.positionBoard = function()
	{
	if(!this.adBoard.isValid || !this.ship.isValid)
		{
		this.stopCallback();
		return;
		}

	this.adBoard.position = this.ship.position.subtract(this.ship.orientation.vectorForward().multiply(10+ this.adBoard.collisionRadius + this.ship.collisionRadius));
	this.adBoard.orientation = this.ship.orientation.rotate(this.ship.vectorUp, (Math.PI / 2));
	}
	
this.shipDied = this.stopCallback = function()
	{
	if(this.callbackID) 
		{ removeFrameCallback(this.callbackID); } 
	delete this.callbackID;
	};	